TWOFEAT(1e)

NAME
twofeat - Finds neighbouring pairs of features in sequence(s)

SYNOPSIS

twofeat -sequence seqall [-asource string] -atype string [-asense list] [-aminscore float] [-amaxscore float] [-atag string] [-avalue string] [-bsource string] -btype string [-bsense list] [-bminscore float] [-bmaxscore float] [-btag string] [-bvalue string] [-overlap list] -minrange integer -maxrange integer [-rangetype list] [-sense list] [-order list] [-twoout toggle] -typeout string -outfile report

twofeat -help

DESCRIPTION

twofeat is a command line program from EMBOSS (“the European Molecular Biology Open Software Suite”). It is part of the "Feature tables" command group(s).

OPTIONS

  Input section

-sequence seqall

  First feature options

-asource string
    By default any feature source in the feature table is allowed. You can set this to match any feature source you wish to allow. The source name is usually either the name of the program that detected the feature or it is the feature table (eg: EMBL) that the feature came from. The source may be wildcarded by using '*'. If you wish to allow more than one source, separate their names with the character '|', eg: gene* | embl Default value: *

-atype string
    By default every feature in the feature table is allowed. You can set this to be any feature type you wish to allow. See http://www.ebi.ac.uk/embl/WebFeat/ for a list of the EMBL feature types and see Appendix A of the Swissprot user manual in http://www.expasy.org/sprot/userman.html for a list of the Swissprot feature types. The type may be wildcarded by using '*'. If you wish to allow more than one type, separate their names with the character '|', eg: *UTR | intron Default value: *

-asense list
    By default any feature sense is allowed. You can set this to match the required sense.

-aminscore float
    If this is greater than or equal to the maximum score, then any score is allowed. Default value: 0.0

-amaxscore float
    If this is less than or equal to the maximum score, then any score is permitted. Default value: 0.0

-atag string
    Tags are the types of extra values that a feature may have. For example in the EMBL feature table, a 'CDS' type of feature may have the tags '/codon', '/codon_start', '/db_xref', '/EC_number', '/evidence', '/exception', '/function', '/gene', '/label', '/map', '/note', '/number', '/partial', '/product', '/protein_id', '/pseudo', '/standard_name', '/translation', '/transl_except', '/transl_table', or '/usedin'. Some of these tags also have values, for example '/gene' can have the value of the gene name. By default any feature tag in the feature table is allowed. You can set this to match any feature tag you wish to allow. The tag may be wildcarded by using '*'. If you wish to allow more than one tag, separate their names with the character '|', eg: gene | label Default value: *

-avalue string
    Tag values are the values associated with a feature tag. Tags are the types of extra values that a feature may have. For example in the EMBL feature table, a 'CDS' type of feature may have the tags '/codon', '/codon_start', '/db_xref', '/EC_number', '/evidence', '/exception', '/function', '/gene', '/label', '/map', '/note', '/number', '/partial', '/product', '/protein_id', '/pseudo', '/standard_name', '/translation', '/transl_except', '/transl_table', or '/usedin'. Only some of these tags can have values, for example '/gene' can have the value of the gene name. By default any feature tag value in the feature table is allowed. You can set this to match any feature tag value you wish to allow. The tag value may be wildcarded by using '*'. If you wish to allow more than one tag value, separate their names with the character '|', eg: pax* | 10 Default value: *

  Second feature options

-bsource string
    By default any feature source in the feature table is allowed. You can set this to match any feature source you wish to allow. The source name is usually either the name of the program that detected the feature or it is the feature table (eg: EMBL) that the feature came from. The source may be wildcarded by using '*'. If you wish to allow more than one source, separate their names with the character '|', eg: gene* | embl Default value: *

-btype string
    By default every feature in the feature table is allowed. You can set this to be any feature type you wish to allow. See http://www.ebi.ac.uk/embl/WebFeat/ for a list of the EMBL feature types and see Appendix A of the Swissprot user manual in http://www.expasy.org/sprot/userman.html for a list of the Swissprot feature types. The type may be wildcarded by using '*'. If you wish to allow more than one type, separate their names with the character '|', eg: *UTR | intron Default value: *

-bsense list
    By default any feature sense is allowed. You can set this to match the required sense.

-bminscore float
    If this is greater than or equal to the maximum score, then any score is allowed. Default value: 0.0

-bmaxscore float
    If this is less than or equal to the maximum score, then any score is permitted. Default value: 0.0

-btag string
    Tags are the types of extra values that a feature may have. For example in the EMBL feature table, a 'CDS' type of feature may have the tags '/codon', '/codon_start', '/db_xref', '/EC_number', '/evidence', '/exception', '/function', '/gene', '/label', '/map', '/note', '/number', '/partial', '/product', '/protein_id', '/pseudo', '/standard_name', '/translation', '/transl_except', '/transl_table', or '/usedin'. Some of these tags also have values, for example '/gene' can have the value of the gene name. By default any feature tag in the feature table is allowed. You can set this to match any feature tag you wish to allow. The tag may be wildcarded by using '*'. If you wish to allow more than one tag, separate their names with the character '|', eg: gene | label Default value: *

-bvalue string
    Tag values are the values associated with a feature tag. Tags are the types of extra values that a feature may have. For example in the EMBL feature table, a 'CDS' type of feature may have the tags '/codon', '/codon_start', '/db_xref', '/EC_number', '/evidence', '/exception', '/function', '/gene', '/label', '/map', '/note', '/number', '/partial', '/product', '/protein_id', '/pseudo', '/standard_name', '/translation', '/transl_except', '/transl_table', or '/usedin'. Only some of these tags can have values, for example '/gene' can have the value of the gene name. By default any feature tag value in the feature table is allowed. You can set this to match any feature tag value you wish to allow. The tag value may be wildcarded by using '*'. If you wish to allow more than one tag value, separate their names with the character '|', eg: pax* | 10 Default value: *

  Feature relation options

-overlap list
    This allows you to specify the allowed overlaps of the features A and B. You can allow any or no overlaps, specify that they must or must not overlap, that one must or must not be wholly enclosed within another feature. Default value: A

-minrange integer
    If this is greater or equal to 'maxrange', then no min or max range is specified

-maxrange integer
    If this is less than or equal to 'minrange', then no min or max range is specified

-rangetype list
    This allows you to specify the positions from which the allowed minimum or maximum distance between the features is measured Default value: N

-sense list
    This allows you to specify the required sense that the two features must be on. This is ignored (always 'Any') when looking at protein sequence features. Default value: A

-order list
    This allows you to specify the required order of the two features. The order is measured from the start positions of the features. This criterion is always applied despite the specified overlap type required. Default value: A

  Output section

-twoout toggle
    If you set this to be true, then the two features themselves will be written out. If it is left as false, then a single feature will be written out covering the two features you found. Default value: N

-typeout string
    If you have specified that the pairs of features that are found should be reported as one feature in the output, then you can specify the 'type' name of the new feature here. By default every feature in the feature table is allowed. See http://www.ebi.ac.uk/embl/WebFeat/ for a list of the EMBL feature types and see Appendix A of the Swissprot user manual in http://www.expasy.org/sprot/userman.html for a list of the Swissprot feature types. If you specify an invalid feature type name, then the default name 'misc_feature' is used. Default value: misc_feature

-outfile report

BUGS

Bugs can be reported to the Debian Bug Tracking system (http://bugs.debian.org/emboss), or directly to the EMBOSS developers (http://sourceforge.net/tracker/?group_id=93650&atid=605031).

SEE ALSO

twofeat is fully documented via the tfm(1) system.

AUTHOR

Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
    Wrote the script used to autogenerate this manual page.

COPYRIGHT

This manual page was autogenerated from an Ajax Control Definition of the EMBOSS package. It can be redistributed under the same terms as EMBOSS itself.